Get Location Group List
Returns a list of all location groups in the business, including details about the specific locations in each location group. A location in a business can belong to multiple location groups.
Query Parameters
- Type: stringlocation
_group _id Unique ID that identifies a location group for the business. This ID is assigned to the location group at the time of creation.
Headers
- Type: stringAuthorizationrequired
Bearer token for admin authorization, who is making a call on behalf of the customer. Send the API key in the following format: "Authorization: Bearer BUSINESS_ADMIN_KEY_GOES_HERE".
Responses
- application/json
- application/json
Request Example for get/api2/dashboard/location_groups
curl 'https://SERVER_NAME_GOES_HERE.punchh.com/api2/dashboard/location_groups?location_group_id=' \
--header 'Authorization: Bearer BUSINESS_ADMIN_KEY_GOES_HERE'
[
{
"location_group_id": 1234,
"name": "Group 1",
"locations": [
{
"location_id": 312301,
"store_number": "005806"
},
{
"location_id": 312302,
"store_number": "028462"
}
]
},
{
"location_group_id": 1235,
"name": "Group 2",
"locations": [
{
"location_id": 312303,
"store_number": "005807"
},
{
"location_id": 312304,
"store_number": "028463"
}
]
}
]